function Ceq = Cpr(x,t)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file       Project: HyEQSymbolic  @ Hybrid Dynamics and Control
% Lab, http://www.u.arizona.edu/~sricardo/index.php?n=Main.Software
%
% Filename: Cpr.m
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Description: Flow set
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% inputs
% x: vector of states (simbolic function)
% t: symbolic variable of the functions
% Get the simolic equations for each system state in a column vector

% Example:
% For disconnected sets add aditional rows
% First disconnected set
% Ceq(1,:) = [xt(1)^2+xt(2)^2 <=1, xt(1)^2+xt(2)^2 >=0.1];
% Second disconnected set
% Ceq(2,:) = [xt(1)^2+xt(2)^2 >=-1.0, xt(1)^2+xt(2)^2 <=0.0];
global a1 a2

% Extract the symbolic variables of the symbolic function
xt = x(t);
Ceq(1,:) = [xt(1)<= a1, xt(2)<=a2];
% Never flows!

