function [Sb] = borderEq(S,xsymb,t)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file       Project: HyEQ Toolbox  @ Hybrid Dynamics and Control
% Lab, http://www.u.arizona.edu/~sricardo/index.php?n=Main.Software
%
% Filename: borderEq.m
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Given a set of simbolic equations S and a vector of states x build
% equations that resembles the borders of the set
% S: vector of symbolic equations
% x: state vector (double)
% xsymb: state vector (symbolic function or structure)

% Extract the symbolic variables of the symbolic function
[rSeq,cSeq] = size(S);
eqS = S;
xt = xsymb(t); % get the indexed sym
sym('xi',[length(xt),1]);
for irSeq = 1:rSeq % check for all disconnected sets
    for icSeq = 1:cSeq % check for all sets
        chareqS = char(eqS(irSeq,icSeq));
        isGT = strfind(chareqS,'>');
        isLT = strfind(chareqS,'<');
        if ~isempty(isGT) % change the operators ge (greater than) and le (lesser than)
            eqbar = feval(symengine,'subsop', eqS(irSeq,icSeq), '0=eq');
            eqS(irSeq,icSeq) = eqbar;
        elseif ~isempty(isLT)
            eqbar = feval(symengine,'subsop', eqS(irSeq,icSeq), '0=eq');
            eqS(irSeq,icSeq) = eqbar;
        end
        
    end
end
Sb = eqS;
