function Deq = DBB(x,t)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file       Project: HyEQSymbolic  @ Hybrid Dynamics and Control
% Lab, http://www.u.arizona.edu/~sricardo/index.php?n=Main.Software
%
% Filename: DBB.m
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Description: Jump set
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% inputs
% x: vector of states (simbolic variable)
% t: symbolic variable of the functions
% Get the simolic equations for each system state in a column vector

% Example:
% For disconnected sets add aditional rows
% First disconnected set
% Deq(1,:) = [xt(1)^2+xt(2)^2 >=1,xt(1)^2+xt(2)^2 <=3];
% Second disconnected set
% Deq(2,:) = [xt(1)^2+xt(2)^2 <=0.3];

% Extract the symbolic variables of the symbolic function
xt = x(t);
Deq(1,:) = [xt(1)<=0,xt(2)<=0];
